Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.ui.touch.gestures.pinch
Class PinchCancelEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.maryanovsky.gwtutils.client.event.SyntheticEvent<H,E>
                  com.maryanovsky.gwtutils.client.ui.touch.gestures.SyntheticTouchGestureEvent<PinchCancelHandler,TouchEvent<? extends EventHandler>>
                      com.maryanovsky.gwtutils.client.ui.touch.gestures.pinch.PinchCancelEvent

    public class PinchCancelEvent

extends SyntheticTouchGestureEvent<PinchCancelHandler,TouchEvent<? extends EventHandler>>

Represents a pinch cancel event.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`PinchCancelEvent(TouchEvent<? extends EventHandler> evt)` Creates a new `PinchCancelEvent` from the specified source `TouchEvent`.

Method Summary
`protected void` | `dispatch(PinchCancelHandler handler)` Dispatches the event to the handler.
`GwtEvent.Type<PinchCancelHandler>` | `getAssociatedType()` Returns the event type associated with pinch cancel events.
`static GwtEvent.Type<PinchCancelHandler>` | `getType()` Returns the event type associated with pinch cancel events.

Methods inherited from class com.maryanovsky.gwtutils.client.event.SyntheticEvent
`getSourceEvent`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PinchCancelEvent

    public PinchCancelEvent(TouchEvent<? extends EventHandler> evt)

  Creates a new `PinchCancelEvent` from the specified source `TouchEvent`.

  Parameters:
    `evt` - The touch event that triggered this event.

Method Detail

### getType

    public static GwtEvent.Type<PinchCancelHandler> getType()

  Returns the event type associated with pinch cancel events.

### getAssociatedType

    public GwtEvent.Type<PinchCancelHandler> getAssociatedType()

  Returns the event type associated with pinch cancel events.

  Overrides:
    `getAssociatedType` in class `GwtEvent<PinchCancelHandler>`

### dispatch

    protected void dispatch(PinchCancelHandler handler)

  Dispatches the event to the handler.

  Specified by:
    `dispatch` in class `GwtEvent<PinchCancelHandler>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD